org.jfree.chart

## Class HashUtilities

- java.lang.Object
- - org.jfree.chart.HashUtilities

-     public class HashUtilities
      extends java.lang.Object

  Some utility methods for calculating hash codes.
  Since:
    1.0.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `hashCode(int pre, boolean b)` Returns a hash value based on a seed value and the value of a boolean primitive.
    `static int` | `hashCode(int pre, BooleanList list)` Computes a hash code for a `BooleanList`.
    `static int` | `hashCode(int pre, java.lang.Comparable c)` Returns a hash value based on a seed value and a `Comparable` instance.
    `static int` | `hashCode(int pre, double d)` Returns a hash value based on a seed value and the value of a double primitive.
    `static int` | `hashCode(int pre, int i)` Returns a hash value based on a seed value and the value of an int primitive.
    `static int` | `hashCode(int pre, java.lang.Object obj)` Returns a hash value based on a seed value and an `Object` instance.
    `static int` | `hashCode(int pre, java.awt.Paint p)` Returns a hash value based on a seed value and a paint instance.
    `static int` | `hashCode(int pre, PaintList list)` Computes a hash code for a `PaintList`.
    `static int` | `hashCode(int pre, java.lang.String s)` Returns a hash value based on a seed value and a string instance.
    `static int` | `hashCode(int pre, java.awt.Stroke s)` Returns a hash value based on a seed value and a stroke instance.
    `static int` | `hashCode(int pre, StrokeList list)` Computes a hash code for a `StrokeList`.
    `static int` | `hashCodeForDoubleArray(double[] a)` Returns a hash code for a `double[]` instance.
    `static int` | `hashCodeForPaint(java.awt.Paint p)` Returns a hash code for a `Paint` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashUtilities

          public HashUtilities()

  - ### Method Detail

    - #### hashCodeForPaint

          public static int hashCodeForPaint(java.awt.Paint p)

      Returns a hash code for a `Paint` instance. If `p` is `null`, this method returns zero.
      Parameters:
        `p` - the paint (`null` permitted).
      Returns:
        The hash code.

    - #### hashCodeForDoubleArray

          public static int hashCodeForDoubleArray(double[] a)

      Returns a hash code for a `double[]` instance. If the array is `null`, this method returns zero.
      Parameters:
        `a` - the array (`null` permitted).
      Returns:
        The hash code.

    - #### hashCode

          public static int hashCode(int pre,
                                     boolean b)

      Returns a hash value based on a seed value and the value of a boolean primitive.
      Parameters:
        `pre` - the seed value.
        `b` - the boolean value.
      Returns:
        A hash value.
      Since:
        1.0.7

    - #### hashCode

          public static int hashCode(int pre,
                                     int i)

      Returns a hash value based on a seed value and the value of an int primitive.
      Parameters:
        `pre` - the seed value.
        `i` - the int value.
      Returns:
        A hash value.
      Since:
        1.0.8

    - #### hashCode

          public static int hashCode(int pre,
                                     double d)

      Returns a hash value based on a seed value and the value of a double primitive.
      Parameters:
        `pre` - the seed value.
        `d` - the double value.
      Returns:
        A hash value.
      Since:
        1.0.7

    - #### hashCode

          public static int hashCode(int pre,
                                     java.awt.Paint p)

      Returns a hash value based on a seed value and a paint instance.
      Parameters:
        `pre` - the seed value.
        `p` - the paint (`null` permitted).
      Returns:
        A hash value.
      Since:
        1.0.7

    - #### hashCode

          public static int hashCode(int pre,
                                     java.awt.Stroke s)

      Returns a hash value based on a seed value and a stroke instance.
      Parameters:
        `pre` - the seed value.
        `s` - the stroke (`null` permitted).
      Returns:
        A hash value.
      Since:
        1.0.7

    - #### hashCode

          public static int hashCode(int pre,
                                     java.lang.String s)

      Returns a hash value based on a seed value and a string instance.
      Parameters:
        `pre` - the seed value.
        `s` - the string (`null` permitted).
      Returns:
        A hash value.
      Since:
        1.0.7

    - #### hashCode

          public static int hashCode(int pre,
                                     java.lang.Comparable c)

      Returns a hash value based on a seed value and a `Comparable` instance.
      Parameters:
        `pre` - the seed value.
        `c` - the comparable (`null` permitted).
      Returns:
        A hash value.
      Since:
        1.0.7

    - #### hashCode

          public static int hashCode(int pre,
                                     java.lang.Object obj)

      Returns a hash value based on a seed value and an `Object` instance.
      Parameters:
        `pre` - the seed value.
        `obj` - the object (`null` permitted).
      Returns:
        A hash value.
      Since:
        1.0.8

    - #### hashCode

          public static int hashCode(int pre,
                                     BooleanList list)

      Computes a hash code for a `BooleanList`. In the latest version of JCommon, the `BooleanList` class should implement the hashCode() method correctly, but we compute it here anyway so that we can work with older versions of JCommon (back to 1.0.0).
      Parameters:
        `pre` - the seed value.
        `list` - the list (`null` permitted).
      Returns:
        The hash code.
      Since:
        1.0.9

    - #### hashCode

          public static int hashCode(int pre,
                                     PaintList list)

      Computes a hash code for a `PaintList`. In the latest version of JCommon, the `PaintList` class should implement the hashCode() method correctly, but we compute it here anyway so that we can work with older versions of JCommon (back to 1.0.0).
      Parameters:
        `pre` - the seed value.
        `list` - the list (`null` permitted).
      Returns:
        The hash code.
      Since:
        1.0.9

    - #### hashCode

          public static int hashCode(int pre,
                                     StrokeList list)

      Computes a hash code for a `StrokeList`. In the latest version of JCommon, the `StrokeList` class should implement the hashCode() method correctly, but we compute it here anyway so that we can work with older versions of JCommon (back to 1.0.0).
      Parameters:
        `pre` - the seed value.
        `list` - the list (`null` permitted).
      Returns:
        The hash code.
      Since:
        1.0.9